AI Sync

Workflows

List Workflows

GEThttps://app.rizzdial.com/api/Workflow
List Workflows
curl --request GET \
  --url 'https://app.rizzdial.com/api/Workflow?per_page=15&folder_id=All' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": "MQ==",
        "name": "New leads",
        "status": "draft",
        "folder_id": 0,
        "created_by": "Ada"
      }
    ],
    "pagination": {
      "to": 1,
      "from": 1,
      "total": 1,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    }
  },
  "success": true
}

List Workflows#

Returns workflows for the signed-in company, newest first. Ids in the response are base64.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

per_pageintegerquery

Rows per page. Default 15. Maximum 30

folder_idstringquery

All or the numeric folder_id from this list. Omit or send All for every folder

curl --request GET \
  --url https://app.rizzdial.com/api/Workflow?per_page=15 \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

Each row has base64 id, name, status, created_by, and folder_id

data.paginationobject

total, current_page, per_page, last_page, from, and to